@import url('https://fonts.googleapis.com/css2?family=Dancing+Script:wght@400..700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=DM+Sans:ital,opsz,wght@0,9..40,100..1000;1,9..40,100..1000&display=swap');

* {
    padding: 0;
    margin: 0;

}

body {
    width: 100%;
    box-sizing: border-box;
    background: linear-gradient(90deg, rgb(170, 135, 252) 0%, rgb(189, 152, 224) 100%);
    background-size: 200rem;
}

.container_cabecalho {
    display: flex;
    margin: 2rem;
    width: 100%;
    max-width: 40px;
    min-width: 40px;
}

.container_geral {
    display: flex;
    justify-content: space-around;
    padding: 2rem;
    margin: 2rem;
    gap: 3rem;
}

.container_input {
    width: 50%;
    display: flex;
    flex-direction: column;   
    border-radius: 40px;
    padding: 2rem;
    margin: 2rem;
    gap: 8rem;
    margin-bottom: 2rem;
}

 #input{
    font-size: 2.18rem;
    font-family:  "DM Sans", sans-serif;
    color: #5026A2;
    background: transparent;
    box-shadow: none;
    border: none;
    resize: none;
    outline: 0; 
    
}

::placeholder {
    font-family: "DM Sans", sans-serif;
    color: #5026A2;
    font-size: 2.2rem;
}

label {
    font-family: "DM Sans", sans-serif;
    color: black;
    font-size: 1.25rem;
}

.container_botoes  {
    display: flex;
    gap: 5%;
}

.botoes{
    width: 100%;
    background: rgb(209, 192, 248);
    border-radius: 25px;
    border: solid #5026A2 3px;
    text-align: center;
    align-items: center;
    padding: 1rem;
    font-family:  "DM Sans", sans-serif;
    color: rgb(73, 5, 151);
    font-size: 1.40rem;
    font-weight: 700;
}


.botoes:hover {
    color: rgb(209, 192, 248); 
    background: #5026A2;
}



.container_saida {
    display: flex;
    width: 50%;
    flex-direction: column;
    background-color: rgb(209, 192, 248);
    border: none;
    align-items: center;
    border-radius: 40px;
    padding-top: 1rem;
    padding-left: 1rem;
    margin-bottom: 1rem;
   
}


 #container_inicial {   
    display: flex;
    text-align: center; 
    align-items: center;
    font-family:  "DM Sans", sans-serif;
    margin-bottom: 2rem;
    margin-top: 2rem;
    border: none;
    border-radius: 40px;
    flex-direction: column;
    gap: 1rem;
    
}

#container_inicial img {
    border-radius: 40px;
    width: 45%;
}

#container_inicial h1 {
    color: #5026A2;
    font-size: 1.50rem;
}

#container_inicial p {
    color: #5026A2;
    font-size: 1.20rem;
}

#container_texto {
    display: inline-block; 
    flex-direction: column;
}

#output {    
    width: 100%;
    text-align: justify;
    padding-top: 2rem;
    font-size: 1.90rem;
    font-family:  "DM Sans", sans-serif;
    color: #5026A2;
    background: transparent;
    box-shadow: none;
    border: none;
    resize: none;
    outline: 0; 
    margin-bottom: 4rem;
    
}

.btnCopy {
    width: 100%;
    background: rgb(170, 135, 252);
    border-radius: 25px;
    border: solid #5026A2 3px;
    text-align: center;
    align-items: center;
    padding: 1rem;
    font-family:  "DM Sans", sans-serif;
    font-weight: 700;
    color: rgb(73, 5, 151);
    font-size: 1.30rem;

}

.btnCopy:hover {
    color: rgb(209, 192, 248); 
    background: #5026A2;

}


.rodape {
    display: flex;
    width: 100%;
    justify-content: center;
    align-items: center;
    padding: 1rem;
    text-align: center;
    flex-direction: column;
    background-color: rgb(209, 192, 248);
    gap: 1rem;
}

.rodape:hover{
    background-color: rgb(182, 152, 252);
}

.rodape .texto_rodape{
    text-decoration: none; 
    font-size: 1.50rem;
    color: #5026A2;
    font-family: "Dancing Script", cursive;
    font-weight: 800;
}

.rodape .imagens_links_rodape{
    text-decoration: none; 
    width: auto;
   
}

@media (max-width:1420px){
    #container_inicial img{
        width: 70%;
    }

    #container_inicial h1 {
        color: #5026A2;
        font-size: 1.5rem;
    }
    
    #container_inicial p {
        color: #5026A2;
        font-size: 1rem;
    }
}

@media (max-width:1010px){

    .logo{
        width: 45px;
    }

    .container_geral{      
        width: auto;                                            
        flex-direction: column;
        padding: 1rem;
        margin: 1rem;
    }

    .container_input{
        width: auto;
        padding: 1rem;
        margin: 1rem;
        gap: 4rem;
    }

    #input{
        font-size: 1.5rem;
    }

    ::placeholder{
        font-size: 1.5rem;
    }

    label {
        font-size: 0.8rem;

    }

    .container_saida{
        width: auto;
        padding-left: 1rem;
        padding-right: 1rem;
        text-align: center;
      
    }

    #output{
        font-size: 1.4rem;
    }

    #container_inicial img{
        display: none;
    }

    #container_inicial h1 {
        color: #5026A2;
        font-size: 1.5rem;
    }
    
    #container_inicial p {
        color: #5026A2;
        font-size: 1rem;
    }
   
    .botoes{
        width: auto;
        font-size: 1rem;
    }

    .btnCopy{
        width: auto;
        font-size: 1rem;
        margin-bottom: 2rem;
    }

    .rodape{
        width: 100%;
        
    }
    
    .rodape .texto_rodape{
        font-size: 1.2rem;
    }

 
}
